DistanceFilter (Lucene 3.6.2 API)
Keywords: org.apache.lucene.spatial.tier.DistanceFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.tier
Class DistanceFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.spatial.tier.DistanceFilter

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GeoHashDistanceFilter, LatLongDistanceFilter

Deprecated.

    @Deprecated
    public abstract class DistanceFilter

extends Filter

NOTE: This API is still in flux and might change in incompatible ways in the next release.

See Also:
  Serialized Form

Field Summary
`protected double` | `distance` Deprecated.
`protected WeakHashMap<String,Double>` | `distanceLookupCache` Deprecated.
`protected Map<Integer,Double>` | `distances` Deprecated.
`protected int` | `nextDocBase` Deprecated.
`protected DistanceHandler.Precision` | `precise` Deprecated.
`protected Filter` | `startingFilter` Deprecated.

Constructor Summary
`DistanceFilter(Filter startingFilter, double distance)` Deprecated. Filters the startingFilter by precise distance checking filter

Method Summary
`abstract boolean` | `equals(Object o)` Deprecated. Returns true if `o` is equal to this.
`Double` | `getDistance(int docid)` Deprecated.
`Map<Integer,Double>` | `getDistances()` Deprecated.
`abstract int` | `hashCode()` Deprecated. Returns a hash code value for this object.
`void` | `reset()` Deprecated. You must call this before re-using this DistanceFilter across searches
`void` | `setDistances(Map<Integer,Double> distances)` Deprecated.

Methods inherited from class org.apache.lucene.search.Filter
`getDocIdSet`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### startingFilter

    protected final Filter startingFilter

  Deprecated.

### precise

    protected DistanceHandler.Precision precise

  Deprecated.

### distances

    protected Map<Integer,Double> distances

  Deprecated.

### distance

    protected double distance

  Deprecated.

### nextDocBase

    protected int nextDocBase

  Deprecated.

### distanceLookupCache

    protected transient WeakHashMap<String,Double> distanceLookupCache

  Deprecated.

Constructor Detail

### DistanceFilter

    public DistanceFilter(Filter startingFilter,
                          double distance)

  Deprecated.
  Filters the startingFilter by precise distance checking filter

Method Detail

### getDistances

    public Map<Integer,Double> getDistances()

  Deprecated.

### getDistance

    public Double getDistance(int docid)

  Deprecated.

### setDistances

    public void setDistances(Map<Integer,Double> distances)

  Deprecated.

### reset

    public void reset()

  Deprecated.
  You must call this before re-using this DistanceFilter across searches

### equals

    public abstract boolean equals(Object o)

  Deprecated.
  Returns true if `o` is equal to this.

  Overrides:
    `equals` in class `Object`

### hashCode

    public abstract int hashCode()

  Deprecated.
  Returns a hash code value for this object.

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD